%define upstream_name    Cache-Ref
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Memory only cache of live references
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(ok)
BuildArch: noarch


%description
Unlike the CHI manpage which attempts to address the problem of caching
things persistently, this module implements in memory caching, designed
primarily for *shared references* in memory.

This collection of classes implements a number of semi related algorithms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml LICENSE README META.json
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-13.mga10
+ Revision: 2205527
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.40.0-12.mga9
+ Revision: 1811422
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.40.0-11.mga8
+ Revision: 1523696
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 0.40.0-10.mga7
+ Revision: 1374627
- fix summary

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-9.mga7
+ Revision: 1265914
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-8.mga6
+ Revision: 1022824
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-7.mga6
+ Revision: 948908
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 788596
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 748809
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 683727
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 509577
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 363738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 38574
- mageia rebuild
- imported package perl-Cache-Ref

